Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605211 - smstools missing a group membership
smstools missing a group membership
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smstools (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 08:41 EDT by Mohammed Arafa
Modified: 2011-02-15 16:30 EST (History)
2 users (show)

See Also:
Fixed In Version: smstools-3.1.8-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 14:54:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2010-06-17 08:41:38 EDT
Description of problem:
/var/log/smsd/smsd.log kept complaining of 
GSM1: Cannot open serial port /dev/ttyUSB0, error: Permission denied



smsd: Cannot handle /var/spool/sms/outgoing/send_NE2IHI: Access denied. Check the file and directory permissions.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.smssend <number> <message>
2.view smsd.log
3.
  
Actual results:
failed to open usb gsm modem

Expected results:
opens usb gsm modem

Additional info:
fixed this bug by adding the user smstools to the group dialout
Comment 1 Fedora Update System 2011-01-20 13:58:52 EST
smstools-3.1.5-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/smstools-3.1.5-5.fc13
Comment 2 Fedora Update System 2011-01-21 18:08:43 EST
smstools-3.1.5-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smstools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/smstools-3.1.5-5.fc13
Comment 3 Fedora Update System 2011-02-07 07:47:50 EST
smstools-3.1.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/smstools-3.1.8-2.fc14
Comment 4 Fedora Update System 2011-02-07 14:54:42 EST
smstools-3.1.5-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-02-15 16:30:04 EST
smstools-3.1.8-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.